commit 4bfea2894dac96b4ac15563f0dd3d8ab2727628a
Author: Dominik Chlouba <dchlouba@students.zcu.cz>
Date:   Sun May 23 23:25:56 2021 +0200

    Goal mutations

diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateDefinitionRangeAside.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateDefinitionRangeAside.razor
index 3eb45cc..bf07294 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateDefinitionRangeAside.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateDefinitionRangeAside.razor
@@ -1,9 +1,7 @@
-﻿
+﻿@inject IStringLocalizer<CreateDefinitionRangeAside> T 
 <aside class="@_aside review_detail">
     <div class="review_detail_header">
-        <div>
-            Vytvořit oblast definic
-        </div>
+        <div>@T["Title"]</div>
         <div>
             <div class="close_button" @onclick="Close">
                 <i class="fal fa-times"></i>
@@ -11,16 +9,16 @@
         </div>
     </div>
     <div class="review_detail_body">
-        <div class="review_description_title">Datum začátku oblasti</div>
+        <div class="review_description_title">@T["Start"]</div>
         <input type="date" />
-        <div class="review_description_title">Datum konce oblasti</div>
+        <div class="review_description_title">@T["End"]</div>
         <input type="date" />
-        <div class="review_description_title">Firemní výsledek oblasti</div>
+        <div class="review_description_title">@T["Result"]</div>
         <input type="number" />
     </div>
     <div class="review_detail_footer">
-        <button>Uložit</button>
-        <button @onclick="Close">Zrušit</button>
+        <button>@T["Save"]</button>
+        <button @onclick="Close">@T["Cancel"]</button>
     </div>
 </aside>
 
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalAside.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalAside.razor
index 5f7de01..49ebdcf 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalAside.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalAside.razor
@@ -1,7 +1,7 @@
-﻿
+﻿@inject IStringLocalizer<CreateGoalAside> T
 <aside class="@_aside review_detail">
     <div class="review_detail_header">
-        <div>Vytvořit nový cíl</div>
+        <div>@T["Title"]</div>
         <div>
             <div class="close_button" @onclick="Close">
                 <i class="fal fa-times"></i>
@@ -9,14 +9,14 @@
         </div>
     </div>
     <div class="review_detail_body">
-        <div class="review_description_title">Název cíle</div>
+        <div class="review_description_title">@T["Name"]</div>
         <input type="text" />
-        <div class="review_description_title">Popis cíle</div>
+        <div class="review_description_title">@T["Description"]</div>
         <textarea></textarea>
     </div>
     <div class="review_detail_footer">
-        <button>Vytvořit</button>
-        <button>Zrušit</button>
+        <button>@T["Create"]</button>
+        <button>@T["Cancel"]</button>
     </div>
 </aside>
 
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
index 61b6195..5f2e38b 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/Components/CreateGoalDefinition.razor
@@ -1,9 +1,7 @@
-﻿
+﻿@inject IStringLocalizer<CreateGoalDefinition> T
 <aside class="@_aside review_detail">
     <div class="review_detail_header">
-        <div>
-            Vytvořit definici cílů
-        </div>
+        <div>@T["Title"]</div>
         <div>
             <div class="close_button" @onclick="Close">
                 <i class="fal fa-times"></i>
@@ -11,20 +9,20 @@
         </div>
     </div>
     <div class="review_detail_body">
-        <div class="review_description_title">Název definice</div>
+        <div class="review_description_title">@T["Name"]</div>
         <input type="text" />
-        <div class="review_description_title">Přiřazený uživatel</div>
+        <div class="review_description_title">@T["User"]</div>
         <select>
-            <option value="" disabled>Zvolte uživatele</option>
+            <option value="" disabled>@T["SelectUser"]</option>
         </select>
-        <div class="review_description_title">Počet odpracovaných hodin</div>
+        <div class="review_description_title">@T["Hours"]</div>
         <input type="number" />
-        <div class="review_description_title">Finanční základ</div>
+        <div class="review_description_title">@T["Finance"]</div>
         <input type="number" />
     </div>
     <div class="review_detail_footer">
-        <button>Vytvořit</button>
-        <button @onclick="Close">Zrušit</button>
+        <button>@T["Create"]</button>
+        <button @onclick="Close">@T["Cancel"]</button>
     </div>
 </aside>
 
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
index 88bc9dc..e777f10 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalDefinitionDetail.razor
@@ -2,6 +2,7 @@
 @attribute [Authorize]
 @layout MainLayout
 @inject IMediator _mediator
+@inject IStringLocalizer<GoalDefinitionDetail> T 
 
 <div class="section_header">
     <div>
@@ -14,7 +15,7 @@
     <div class="header_buttons">
         <button type="button" @onclick="OpenCreateAside">
             <i class="fal fa-plus"></i>
-            <span>Přidat cíl</span>
+            <span>@T["AddGoal"]</span>
         </button>
     </div>
 </div>
@@ -22,12 +23,12 @@
 {
     <table class="actions" style="width:100%">
         <tr>
-            <th>Název</th>
-            <th>Vytvořil</th>
-            <th>Datum vytvoření</th>
-            <th>Hodnocení uživatel</th>
-            <th>Hodnocení nadřízený</th>
-            <th>Akce</th>
+            <th>@T["Name"]</th>
+            <th>@T["CreatedBy"]</th>
+            <th>@T["CreatedOn"]</th>
+            <th>@T["ResultUser"]</th>
+            <th>@T["ResultSenior"]</th>
+            <th>@T["Actions"]</th>
         </tr>
         @foreach (var range in Goals)
         {
@@ -41,15 +42,15 @@
                     <div class="flex">
                         <div @onclick='() => SetDetailId(Guid.NewGuid())'>
                             <i class="fal fa-eye"></i>
-                            Otevřít
+                            @T["Open"]
                         </div>
                         <div>
                             <i class="fal fa-edit"></i>
-                            Upravit
+                            @T["Edit"]
                         </div>
                         <div>
                             <i class="fal fa-trash"></i>
-                            Smazat
+                            @T["Remove"]
                         </div>
                     </div>
                 </td>
@@ -59,7 +60,7 @@
 }
 else
 {
-    <div>Loading...</div>
+<div>@T["Loading"]</div>
 }
 
 <Leuze.Modules.Goal.Application.UI.Pages.Components.GoalDetailAside Show="DetailId != default(Guid)" DetailId="DetailId" CloseAside="CloseDetailAside" />
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
index 596b95a..3576be5 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalRanges.razor
@@ -3,22 +3,23 @@
 @layout MainLayout
 @inject IMediator _mediator
 @inject NavigationManager _nav 
+@inject IStringLocalizer<GoalRanges> T 
 
 <div class="section_header">
-    <h2>Správa oblastí definic cílů</h2>
+    <h2>@T["Title"]</h2>
     <button type="button" @onclick="() => OpenAside(default(Guid))">
         <img src="/Resources/Icons/plus.svg" class="plus_icon" />
-        <span>Přidat oblast</span>
+        <span>@T["AddRange"]</span>
     </button>
 </div>
 @if (Ranges is not null)
 {
     <table class="actions" style="width:100%">
         <tr>
-            <th>Platnost od</th>
-            <th>Platnost do</th>
-            <th>Hodnota VARI</th>
-            <th>Akce</th>
+            <th>@T["Start"]</th>
+            <th>@T["End"]</th>
+            <th>@T["Result"]</th>
+            <th>@T["Actions"]</th>
         </tr>
         @foreach (var range in Ranges)
         {
@@ -30,15 +31,15 @@
                     <div class="flex">
                         <div @onclick='() => _nav.NavigateTo("/goals/overview/test")'>
                             <i class="fal fa-eye"></i>
-                            Zobrazit
+                            @T["Open"]
                         </div>
                         <div @onclick="() => OpenAside(range)">
                             <i class="fal fa-edit"></i>
-                            Upravit
+                            @T["Edit"]
                         </div>
                         <div>
                             <i class="fal fa-trash"></i>
-                            Smazat
+                            @T["Remove"]
                         </div>
                     </div>
                 </td>
@@ -55,7 +56,7 @@
                 <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-right.svg" /></button>
                 <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-right.svg" /></button>
             </div>
-            <div class="right">Zobrazeno <b>@Ranges.Count z @Total</b></div>
+            <div class="right">@T["Show"] <b>@Ranges.Count @T["From"] @Total</b></div>
         </div>
     }
 }
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
index f571ede..5053bd9 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/GoalsManagement.razor
@@ -3,17 +3,18 @@
 @layout MainLayout
 @inject IMediator _mediator
 @inject NavigationManager _nav
+@inject IStringLocalizer<GoalsManagement> T 
 
 <div class="section_header">
-    <h2>Správa definic cílů</h2>
+    <h2>@T["Title"]</h2>
     <div class="header_buttons">
         <button type="button">
             <i class="fal fa-layer-plus"></i>
-            <span>Inicializovat vše</span>
+            <span>@T["InitAll"]</span>
         </button>
         <button type="button" @onclick="() => OpenAside(default(Guid))">
             <i class="fal fa-plus"></i>
-            <span>Přidat definici</span>
+            <span>@T["AddDef"]</span>
         </button>
     </div>
 </div>
@@ -21,10 +22,10 @@
 {
     <table class="actions" style="width:100%">
         <tr>
-            <th>Název</th>
-            <th>Uživatel</th>
-            <th>Vytvořil</th>
-            <th>Akce</th>
+            <th>@T["Name"]</th>
+            <th>@T["User"]</th>
+            <th>@T["CreatedBy"]</th>
+            <th>@T["Actions"]</th>
         </tr>
         @foreach (var range in Ranges)
         {
@@ -36,15 +37,15 @@
                     <div class="flex">
                         <div @onclick='() => _nav.NavigateTo("/goals/detail/test")'>
                             <i class="fal fa-eye"></i>
-                            Zobrazit
+                            @T["Open"]
                         </div>
                         <div @onclick="() => OpenAside(range)">
                             <i class="fal fa-edit"></i>
-                            Upravit
+                            @T["Edit"]
                         </div>
                         <div>
                             <i class="fal fa-trash"></i>
-                            Smazat
+                            @T["Remove"]
                         </div>
                     </div>
                 </td>
@@ -61,7 +62,7 @@
                 <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-right.svg" /></button>
                 <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-right.svg" /></button>
             </div>
-            <div class="right">Zobrazeno <b>@Ranges.Count z @Total</b></div>
+            <div class="right">@T["Show"] <b>@Ranges.Count @T["From"] @Total</b></div>
         </div>
     }
 }
diff --git a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor
index 6f99d1b..731d092 100644
--- a/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor
+++ b/src/Modules/Goal/Application/Leuze.Modules.Goal.Application.UI/Pages/MyGoalDefinition.razor
@@ -3,18 +3,18 @@
 @layout MainLayout
 @inject IMediator _mediator
 @inject NavigationManager _nav
-
 @inject IStringLocalizer<MyGoalDefinition> T
+
 <div class="section_header">
-    <h2>Mé definice cílů</h2>
+    <h2>@T["Title"]</h2>
 </div>
 @if (Definitions is not null)
 {
     <table class="actions" style="width:100%">
         <tr>
-            <th>Název</th>
-            <th>Vytvořil</th>
-            <th>Akce</th>
+            <th>@T["Name"]</th>
+            <th>@T["CreatedBy"]</th>
+            <th>@T["Actions"]</th>
         </tr>
         @foreach (var range in Definitions)
         {
@@ -26,7 +26,7 @@
                         <div></div>
                         <div @onclick='() => _nav.NavigateTo("/goals/detail/test")'>
                             <i class="fal fa-eye"></i>
-                            Otevřít
+                            @T["Open"]
                         </div>
                     </div>
                 </td>
@@ -43,13 +43,13 @@
                 <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-right.svg" /></button>
                 <button class="pagination_button"><img class="pagination_icon" src="/Resources/Icons/chevron-double-right.svg" /></button>
             </div>
-            <div class="right">Zobrazeno <b>@Definitions.Count z @Total</b></div>
+            <div class="right">@T["Show"] <b>@Definitions.Count @T["From"] @Total</b></div>
         </div>
     }
 }
 else
 {
-    <div>Loading...</div>
+<div>@T["Loading"]</div>
 }
 <BlazorStyled.Styled>
     .section_header {
